Subject: Re: bug#31686: 12.1.1 ; Generation of Previews for platex with cached preamble fails with filename having spaces

From: Ikumi Keita <[email-masked]>
Date: Fri, 08 Jun 2018 22:35:21 +0900

Hi Jean and all,

>>>>> jfbu <[email-masked]> writes:

>> I can confirm that using proposed patches to fix #31684 and #31685,
>> this one is cured too in my brief testing with pLaTeX compilation.

> Due to some mix-up at my side the above is with the first version
> of the patches proposed by Keita for #31685.

> With the second version of the patches, it does work too, bthere
> are some differences in the command line incovations.

> Although I am creating a bit of noise, I feel I must now
> copy-paste how it really looks like with the v2 of Keita's patches for #31685
> at my locale:

>> Running `Preview-LaTeX' on `abc jap' with ``platex -ini -kanji=utf8 -interaction=nonstopmode "&platex" prv_abc_jap.ini    "\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}" "\input" "{\detokenize{" \"abc\ jap.tex\" "}}"''

[...]

>> TeX Output finished at Fri Jun  8 11:46:24
>> Running `Preview-LaTeX' on `abc jap' with ``platex -kanji=utf8 -interaction=nonstopmode -file-line-error \&prv_abc_jap "/AUCTEXINPUT{" \"abc\ jap.tex\" "}"''

[...]

>> TeX Output exited as expected with code 1 at Fri Jun  8 11:46:24
>> Running `Preview-DviPNG' with ``dvipng -picky -noghostscript abc\ jap.dvi -o abc\ jap.prv/tmpHKfXq8/prev%03d.png  -D186 ''
>> This is dvipng (dvipng (TeX Live)) 1.15 Copyright 2002-2015 Jan-Ake Larsson
>> [1 (preview-latex version 12.1) (preview-latex tightpage option
>> detected, will use its bounding box)] 
>> 
>> Preview-DviPNG finished at Fri Jun  8 11:46:24

> Anyway, problem fixed for my MWE.

Thank you for testing.  In fact, dvipng will fail with dvi file
generated by (u)platex if it contains Japanese characters like this:
----------------------------------------------------------------------
dvipng: Fatal error, VF font /usr/local/texlive/2018/texmf-dist/fonts/vf/ptex-fonts/standard/goth10.vf exceeds char numbering limit
----------------------------------------------------------------------
(I am talking about the Japanese characters in the contents of the dvi
file, not in the file name).  This is because (u)platex outputs dvi
files with slightly extented format and most of the dviwares including
dvipng cannot process this extended dvi.  But anyway, the fallback run
of Preview-Dvips takes care of that failure, so the functionality of
preview-latex is kept.

Best regards,
Ikumi Keita